Package Details: ezquake-git r5247.1aaea9bf-1

Git Clone URL: https://aur.archlinux.org/ezquake-git.git (read-only, click to copy)
Package Base: ezquake-git
Description: One of the most Popular QuakeWorld clients for Linux/BSD/OSX/Win32. You need the retail pak files to play. (Git version)
Upstream URL: http://ezquake.sourceforge.net/
Licenses: GPL
Conflicts: fuhquake
Provides: ezquake, fuhquake, quake
Submitter: sanerb
Maintainer: sanerb (Slash)
Last Packager: sanerb
Votes: 1
Popularity: 0.000000
First Submitted: 2015-02-09 06:57 (UTC)
Last Updated: 2020-01-09 23:36 (UTC)

Pinned Comments

sanerb commented on 2016-06-26 04:33 (UTC) (edited on 2017-09-01 22:53 (UTC) by sanerb)

Please note the following additions: # Bug reports can be filed at https://bugs.square-r00t.net/index.php?project=3 # News updates for packages can be followed at https://devblog.square-r00t.net (If you want an RSS-feed only pertaining to my AUR packages, you can subscribe to https://devblog.square-r00t.net/rss/?category=aur in your favourite RSS reader.) Note that you should still use the AUR web interface for flagging packages as out-of-date if a new version is released; the aforementioned bug tracker is to aid in issues with building/packaging/the PKGBUILD formats/etc. specifically. GPG signature "errors" are explained here: https://devblog.square-r00t.net/articles/a-note-on-using-gpg-signatures-in-pkgbuilds Please read; it's not a bug. Thanks!

Latest Comments

sanerb commented on 2016-06-26 04:33 (UTC) (edited on 2017-09-01 22:53 (UTC) by sanerb)

Please note the following additions: # Bug reports can be filed at https://bugs.square-r00t.net/index.php?project=3 # News updates for packages can be followed at https://devblog.square-r00t.net (If you want an RSS-feed only pertaining to my AUR packages, you can subscribe to https://devblog.square-r00t.net/rss/?category=aur in your favourite RSS reader.) Note that you should still use the AUR web interface for flagging packages as out-of-date if a new version is released; the aforementioned bug tracker is to aid in issues with building/packaging/the PKGBUILD formats/etc. specifically. GPG signature "errors" are explained here: https://devblog.square-r00t.net/articles/a-note-on-using-gpg-signatures-in-pkgbuilds Please read; it's not a bug. Thanks!

wareya commented on 2016-06-20 15:59 (UTC)

Thanks! Don't know unfortunately, I'm just getting into quake 1/quakeworld so I don't know what the scene has cooked up yet.

sanerb commented on 2016-06-19 16:18 (UTC)

/headdesk riiight because i changed the launcher. actually built this time to test. ;) (sorry- i usually have a script to rebuild the sigs and checksums before pushing, but i don't have it on this machine.) question- would you want me to enable ezquake-plugins and FBCA (frogbot clan arena) as well by default?

wareya commented on 2016-06-19 03:30 (UTC)

Close! ezquake-launcher currently fails sha512sums.

sanerb commented on 2016-06-19 00:19 (UTC)

-makedepends=('glu' 'xf86vidmodeproto' 'libxxf86vm' 'libxext' 'jansson' 'libxpm') +makedepends=('glu' 'xf86vidmodeproto' 'libxxf86vm' 'libxext' 'jansson' 'libxpma' 'xxd') (sigh) definitely a typo. /me revokes his vim card sorry! fixed. thanks, wareya!

wareya commented on 2016-06-18 18:53 (UTC)

libxpma is now a make dependency, but doesn't exist. typo of libxpm?

sanerb commented on 2016-06-17 14:31 (UTC) (edited on 2016-06-17 14:37 (UTC) by sanerb)

@wareya- thanks! mind giving it a spin again for me and make sure it runs after build? added xxd as a makedep rather than a runtime dep. (also fixed the launcher)

wareya commented on 2016-06-17 09:47 (UTC)

add xxd as an explicit dependency, build failed because I didn't have vim or gvim installed Also, binary is installed to /opt/quake/ezquake-linux, but ezquake.launcher has uname switching logic: https://aur.archlinux.org/cgit/aur.git/tree/PKGBUILD?h=ezquake-git#n82 https://aur.archlinux.org/cgit/aur.git/tree/ezquake.launcher?h=ezquake-git#n4

sanerb commented on 2015-07-28 18:11 (UTC)

fixed. also removed svgalib since it seems to be broken and not really needed. please let me know if this causes anyone to run into issues.

mmozeiko commented on 2015-07-25 11:23 (UTC)

jansson is missing from dependencies.